package com.ruoyi.kaohe.util;

import net.sourceforge.pinyin4j.PinyinHelper;
import org.springframework.stereotype.Component;

@Component
public class PinYinUtil {

        // 判断是否为中文字符
        public static String getPinyinInitials(String chinese) {
            StringBuilder pinyinInitial = new StringBuilder();
            for (char c : chinese.toCharArray()) {
                String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(c);
                if (pinyinArray != null && pinyinArray.length > 0) {
                    // 取拼音的首字母并转换为大写
                    pinyinInitial.append(pinyinArray[0].charAt(0));
                } else {
                    // 如果无法转换，可以添加其他处理，例如跳过或替换为特定字符
                    pinyinInitial.append(c);
                }
            }
            return pinyinInitial.toString().toLowerCase(); // 可以选择转换为大写或小写
        }

}
